The Signing Webhook Delivery object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

signing_webhook_id string required
event_type string required
signing_document_id string
status_code integer
success boolean

Default: false

error string
attempt integer

Default: 1

payload string
response_body string
The Signing Webhook Delivery object
{
  "id": "signing-webhook-delivery_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "signing_webhook_id": "signing_webhook_id_example",
  "event_type": "event_type_example",
  "signing_document_id": "signing_document_id_example",
  "status_code": 0,
  "success": false,
  "error": "error_example",
  "attempt": 1,
  "payload": "payload_example",
  "response_body": "response_body_example"
}
GET /api/signing/signing-webhook-delivery/{id}

Retrieve a signing webhook delivery

Retrieves the details of an existing signing webhook delivery. Supply the unique signing webhook delivery ID that was returned from a previous request.

Path parameters

id string required

The identifier of the signing webhook delivery to retrieve.

Returns

Returns the signing webhook delivery object if a valid identifier was provided.

GET /api/signing/signing-webhook-delivery/{id}
curl https://api.overplane.dev/api/signing/signing-webhook-delivery/signing-webhook-delivery_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "signing-webhook-delivery_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "signing_webhook_id": "signing_webhook_id_example",
  "event_type": "event_type_example",
  "signing_document_id": "signing_document_id_example",
  "status_code": 0,
  "success": false,
  "error": "error_example",
  "attempt": 1,
  "payload": "payload_example",
  "response_body": "response_body_example"
}
GET /api/signing/signing-webhook-delivery

List all signing webhook deliverys

Returns a list of signing webhook deliverys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of signing webhook delivery objects.

GET /api/signing/signing-webhook-delivery
curl https://api.overplane.dev/api/signing/signing-webhook-delivery \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "signing-webhook-delivery_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "signing_webhook_id": "signing_webhook_id_example",
      "event_type": "event_type_example",
      "signing_document_id": "signing_document_id_example",
      "status_code": 0,
      "success": false,
      "error": "error_example",
      "attempt": 1,
      "payload": "payload_example",
      "response_body": "response_body_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/signing/signing-webhook-delivery

Create a signing webhook delivery

Creates a new signing webhook delivery object.

Body parameters

signing_webhook_id string required
event_type string required
signing_document_id string
status_code integer
success boolean

Default: false

error string
attempt integer

Default: 1

payload string
response_body string

Returns

Returns the newly created signing webhook delivery object if the call succeeded.

POST /api/signing/signing-webhook-delivery
curl https://api.overplane.dev/api/signing/signing-webhook-delivery \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"signing_webhook_id":"signing_webhook_id_example","event_type":"event_type_example"}'
Response
{
  "id": "signing-webhook-delivery_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "signing_webhook_id": "signing_webhook_id_example",
  "event_type": "event_type_example",
  "signing_document_id": "signing_document_id_example",
  "status_code": 0,
  "success": false,
  "error": "error_example",
  "attempt": 1,
  "payload": "payload_example",
  "response_body": "response_body_example"
}
PATCH /api/signing/signing-webhook-delivery/{id}

Update a signing webhook delivery

Updates the specified signing webhook delivery by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the signing webhook delivery to update.

Body parameters

signing_webhook_id string
event_type string
signing_document_id string
status_code integer
success boolean

Default: false

error string
attempt integer

Default: 1

payload string
response_body string

Returns

Returns the updated signing webhook delivery object.

PATCH /api/signing/signing-webhook-delivery/{id}
curl https://api.overplane.dev/api/signing/signing-webhook-delivery/signing-webhook-delivery_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"signing_webhook_id":"signing_webhook_id_example","event_type":"event_type_example"}'
Response
{
  "id": "signing-webhook-delivery_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "signing_webhook_id": "signing_webhook_id_example",
  "event_type": "event_type_example",
  "signing_document_id": "signing_document_id_example",
  "status_code": 0,
  "success": false,
  "error": "error_example",
  "attempt": 1,
  "payload": "payload_example",
  "response_body": "response_body_example"
}
DELETE /api/signing/signing-webhook-delivery/{id}

Delete a signing webhook delivery

Permanently deletes a signing webhook delivery. This cannot be undone.

Path parameters

id string required

The identifier of the signing webhook delivery to delete.

Returns

Returns a confirmation that the signing webhook delivery has been deleted.

DELETE /api/signing/signing-webhook-delivery/{id}
curl https://api.overplane.dev/api/signing/signing-webhook-delivery/signing-webhook-delivery_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "signing-webhook-delivery_abc123",
  "deleted": true
}